Loading...
Searching...
No Matches
vnl_adjugate_fixed.h File Reference
`#include <vnl/vnl_matrix_fixed.h>`
`#include <vnl/vnl_vector_fixed.h>`
`#include <vnl/vnl_matrix.h>`
`#include <vnl/vnl_det.h>`
`#include <cassert>`
Include dependency graph for vnl_adjugate_fixed.h:

Go to the source code of this file.

## Functions

template<class T>
vnl_matrix_fixed< T, 1, 1 > | vnl_adjugate (vnl_matrix_fixed< T, 1, 1 > const &m)
template<class T>
vnl_matrix_fixed< T, 2, 2 > | vnl_adjugate (vnl_matrix_fixed< T, 2, 2 > const &m)
template<class T>
vnl_matrix_fixed< T, 3, 3 > | vnl_adjugate (vnl_matrix_fixed< T, 3, 3 > const &m)
template<class T>
vnl_matrix_fixed< T, 4, 4 > | vnl_adjugate (vnl_matrix_fixed< T, 4, 4 > const &m)
template<class T>
vnl_matrix< T > | vnl_adjugate_asfixed (vnl_matrix< T > const &m)
template<class T>
vnl_matrix< T > | vnl_cofactor (vnl_matrix< T > const &m)
template<class T>
vnl_matrix_fixed< T, 1, 1 > | vnl_cofactor (vnl_matrix_fixed< T, 1, 1 > const &m)
template<class T>
vnl_matrix_fixed< T, 2, 2 > | vnl_cofactor (vnl_matrix_fixed< T, 2, 2 > const &m)
template<class T>
vnl_matrix_fixed< T, 3, 3 > | vnl_cofactor (vnl_matrix_fixed< T, 3, 3 > const &m)
template<class T>
vnl_matrix_fixed< T, 4, 4 > | vnl_cofactor (vnl_matrix_fixed< T, 4, 4 > const &m)
template<class T>
vnl_vector_fixed< T, 3 > | vnl_cofactor_row1 (vnl_vector_fixed< T, 3 > const &row2, vnl_vector_fixed< T, 3 > const &row3)

## Function Documentation

## vnl_adjugate() [1/4]

template<class T>

vnl_matrix_fixed< T, 1, 1 > vnl_adjugate | ( | vnl_matrix_fixed< T, 1, 1 > const & | m | ) |

Definition at line 36 of file vnl_adjugate_fixed.h.

## vnl_adjugate() [2/4]

template<class T>

vnl_matrix_fixed< T, 2, 2 > vnl_adjugate | ( | vnl_matrix_fixed< T, 2, 2 > const & | m | ) |

Definition at line 53 of file vnl_adjugate_fixed.h.

## vnl_adjugate() [3/4]

template<class T>

vnl_matrix_fixed< T, 3, 3 > vnl_adjugate | ( | vnl_matrix_fixed< T, 3, 3 > const & | m | ) |

Definition at line 75 of file vnl_adjugate_fixed.h.

## vnl_adjugate() [4/4]

template<class T>

vnl_matrix_fixed< T, 4, 4 > vnl_adjugate | ( | vnl_matrix_fixed< T, 4, 4 > const & | m | ) |

Definition at line 102 of file vnl_adjugate_fixed.h.

## vnl_adjugate_asfixed()

template<class T>

vnl_matrix< T > vnl_adjugate_asfixed | ( | vnl_matrix< T > const & | m | ) |

Definition at line 153 of file vnl_adjugate_fixed.h.

## vnl_cofactor() [1/5]

template<class T>

vnl_matrix< T > vnl_cofactor | ( | vnl_matrix< T > const & | m | ) |

Definition at line 308 of file vnl_adjugate_fixed.h.

## vnl_cofactor() [2/5]

template<class T>

vnl_matrix_fixed< T, 1, 1 > vnl_cofactor | ( | vnl_matrix_fixed< T, 1, 1 > const & | m | ) |

Definition at line 181 of file vnl_adjugate_fixed.h.

## vnl_cofactor() [3/5]

template<class T>

vnl_matrix_fixed< T, 2, 2 > vnl_cofactor | ( | vnl_matrix_fixed< T, 2, 2 > const & | m | ) |

Definition at line 200 of file vnl_adjugate_fixed.h.

## vnl_cofactor() [4/5]

template<class T>

vnl_matrix_fixed< T, 3, 3 > vnl_cofactor | ( | vnl_matrix_fixed< T, 3, 3 > const & | m | ) |

Definition at line 225 of file vnl_adjugate_fixed.h.

## vnl_cofactor() [5/5]

template<class T>

vnl_matrix_fixed< T, 4, 4 > vnl_cofactor | ( | vnl_matrix_fixed< T, 4, 4 > const & | m | ) |

Definition at line 255 of file vnl_adjugate_fixed.h.

## vnl_cofactor_row1()

template<class T>

vnl_vector_fixed< T, 3 > vnl_cofactor_row1 | ( | vnl_vector_fixed< T, 3 > const & | row2,
|  | vnl_vector_fixed< T, 3 > const & | row3 )

Definition at line 324 of file vnl_adjugate_fixed.h.

Generated on 1768596610 for elastix by 1.15.0 |